Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename precond
%global enable_tests 1

Name:		nodejs-precond
Version:	0.2.3
Release:	alt1_4
Summary:	Precondition checking utilities

License:	MIT
URL:		https://github.com/MathieuTurcotte/node-precond
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh
# License not included in npm tarball
Source20:	https://raw.githubusercontent.com/MathieuTurcotte/node-precond/v%{version}/LICENSE


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	npm(nodeunit)
%endif
Source44: import.info

%description
Precondition checking utilities.


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

# setup the examples
%setup -q -T -D -a 2 -n package

# license
cp %{SOURCE20} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/nodeunit tests/
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md examples/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.3-alt1_4
- new version

